<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.sys.personnelControl.dao.impl.PersonnelControlDaoImpl">
	<resultMap id="get-PersonnelControlEntity-result" type="com.hzya.frame.sys.personnelControl.entity.PersonnelControlEntity">
		<!--主键ID -->
		<result property="id" column="id" />
		<!--左应用id -->
		<result property="left_app_id" column="left_app_id" />
		<!--左应用编码 -->
		<result property="left_app_code" column="left_app_code" />
		<!--左应用名称 -->
		<result property="left_app_name" column="left_app_name" />
		<!--左接口ID -->
		<result property="left_api_id" column="left_api_id" />
		<!--左id -->
		<result property="left_id" column="left_id" />
		<!--左编码 -->
		<result property="left_code" column="left_code" />
		<!--左名称 -->
		<result property="left_name" column="left_name" />
		<!--左手机号 -->
		<result property="left_tel" column="left_tel" />
		<!--左身份证号 -->
		<result property="left_ic" column="left_ic" />
		<!--右应用id -->
		<result property="right_app_id" column="right_app_id" />
		<!--右应用编码 -->
		<result property="right_app_code" column="right_app_code" />
		<!--右应用名称 -->
		<result property="right_app_name" column="right_app_name" />
		<!--右接口ID -->
		<result property="right_api_id" column="right_api_id" />
		<!--右id -->
		<result property="right_id" column="right_id" />
		<!--右编码 -->
		<result property="right_code" column="right_code" />
		<!--右名称 -->
		<result property="right_name" column="right_name" />
		<!--右手机号 -->
		<result property="right_tel" column="right_tel" />
		<!--右身份证号 -->
		<result property="right_ic" column="right_ic" />
		<!--排序 -->
		<result property="sorts" column="sorts" />
		<!--创建人id -->
		<result property="create_user_id" column="create_user_id" />
		<!--创建时间 -->
		<result property="create_time" column="create_time" />
		<!--修改人id -->
		<result property="modify_user_id" column="modify_user_id" />
		<!--修改时间 -->
		<result property="modify_time" column="modify_time" />
		<!--状态(Y正常N删除) -->
		<result property="sts" column="sts" />
		<!--组织机构ID -->
		<result property="org_id" column="org_id" />
	</resultMap>

	<sql id="PersonnelControlEntity_Base_Column_List">
		id,
		left_app_id,
		left_app_code,
		left_app_name,
		left_api_id,
		left_id,
		left_code,
		left_name,
		left_tel,
		left_ic,
		right_app_id,
		right_app_code,
		right_app_name,
		right_api_id,
		right_id,
		right_code,
		right_name,
		right_tel,
		right_ic,
		sorts,
		create_user_id,
		create_time,
		modify_user_id,
		modify_time,
		sts,
		org_id
	</sql>

	<!--通过ID获取数据 -->
	<select id="entity_get" resultMap="get-PersonnelControlEntity-result">
		select
		<include refid="PersonnelControlEntity_Base_Column_List" />
		from sys_personnel_control where id = #{ id } and sts='Y'
	</select>

	<!-- 查询 采用==查询 -->
	<select id="entity_list_base" resultMap="get-PersonnelControlEntity-result" parameterType="com.hzya.frame.sys.personnelControl.entity.PersonnelControlEntity">
		select
		<include refid="PersonnelControlEntity_Base_Column_List" />
		from sys_personnel_control
		<trim prefix="where" prefixOverrides="and">
			<if test="id != null and id !='' ">id = #{id} </if>
			<if test="left_app_id != null and left_app_id !='' "> and left_app_id = #{left_app_id}</if>
			<if test="left_app_code != null and left_app_code !='' "> and left_app_code = #{left_app_code}</if>
			<if test="left_app_name != null and left_app_name !='' "> and left_app_name = #{left_app_name}</if>
			<if test="left_api_id != null and left_api_id !='' "> and left_api_id = #{left_api_id}</if>
			<if test="left_id != null and left_id !='' "> and left_id = #{left_id}</if>
			<if test="left_code != null and left_code !='' "> and left_code = #{left_code}</if>
			<if test="left_name != null and left_name !='' "> and left_name = #{left_name}</if>
			<if test="left_tel != null and left_tel !='' "> and left_tel = #{left_tel}</if>
			<if test="left_ic != null and left_ic !='' "> and left_ic = #{left_ic}</if>
			<if test="right_app_id != null and right_app_id !='' "> and right_app_id = #{right_app_id}</if>
			<if test="right_app_code != null and right_app_code !='' "> and right_app_code = #{right_app_code}</if>
			<if test="right_app_name != null and right_app_name !='' "> and right_app_name = #{right_app_name}</if>
			<if test="right_api_id != null and right_api_id !='' "> and right_api_id = #{right_api_id}</if>
			<if test="right_id != null and right_id !='' "> and right_id = #{right_id}</if>
			<if test="right_code != null and right_code !='' "> and right_code = #{right_code}</if>
			<if test="right_name != null and right_name !='' "> and right_name = #{right_name}</if>
			<if test="right_tel != null and right_tel !='' "> and right_tel = #{right_tel}</if>
			<if test="right_ic != null and right_ic !='' "> and right_ic = #{right_ic}</if>
			<if test="sorts != null "> and sorts = #{sorts}</if>
			<if test="create_user_id != null and create_user_id !='' "> and create_user_id = #{create_user_id}</if>
			<if test="create_time != null "> and create_time = #{create_time}</if>
			<if test="modify_user_id != null and modify_user_id !='' "> and modify_user_id = #{modify_user_id}</if>
			<if test="modify_time != null "> and modify_time = #{modify_time}</if>
			<if test="sts != null and sts !='' "> and sts = #{sts}</if>
			<if test="org_id != null and org_id !='' "> and org_id = #{org_id}</if>
			and sts='Y'
		</trim>
		<if test=" sort == null or sort == ''.toString() "> order by sorts asc</if>
		<if test=" sort !='' and sort!=null and order !='' and order!=null ">order by ${sort} ${order}</if>
	</select>

	<!-- 查询符合条件的数量 -->
	<select id="entity_count" resultType="Integer" parameterType="com.hzya.frame.sys.personnelControl.entity.PersonnelControlEntity">
		select count(1) from sys_personnel_control
		<trim prefix="where" prefixOverrides="and">
			<if test="id != null and id !='' ">id = #{id} </if>
			<if test="left_app_id != null and left_app_id !='' "> and left_app_id = #{left_app_id} </if>
			<if test="left_app_code != null and left_app_code !='' "> and left_app_code = #{left_app_code} </if>
			<if test="left_app_name != null and left_app_name !='' "> and left_app_name = #{left_app_name} </if>
			<if test="left_api_id != null and left_api_id !='' "> and left_api_id = #{left_api_id} </if>
			<if test="left_id != null and left_id !='' "> and left_id = #{left_id} </if>
			<if test="left_code != null and left_code !='' "> and left_code = #{left_code} </if>
			<if test="left_name != null and left_name !='' "> and left_name = #{left_name} </if>
			<if test="left_tel != null and left_tel !='' "> and left_tel = #{left_tel} </if>
			<if test="left_ic != null and left_ic !='' "> and left_ic = #{left_ic} </if>
			<if test="right_app_id != null and right_app_id !='' "> and right_app_id = #{right_app_id} </if>
			<if test="right_app_code != null and right_app_code !='' "> and right_app_code = #{right_app_code} </if>
			<if test="right_app_name != null and right_app_name !='' "> and right_app_name = #{right_app_name} </if>
			<if test="right_api_id != null and right_api_id !='' "> and right_api_id = #{right_api_id} </if>
			<if test="right_id != null and right_id !='' "> and right_id = #{right_id} </if>
			<if test="right_code != null and right_code !='' "> and right_code = #{right_code} </if>
			<if test="right_name != null and right_name !='' "> and right_name = #{right_name} </if>
			<if test="right_tel != null and right_tel !='' "> and right_tel = #{right_tel} </if>
			<if test="right_ic != null and right_ic !='' "> and right_ic = #{right_ic} </if>
			<if test="sorts != null "> and sorts = #{sorts}  </if>
			<if test="create_user_id != null and create_user_id !='' "> and create_user_id = #{create_user_id} </if>
			<if test="create_time != null "> and create_time = #{create_time}  </if>
			<if test="modify_user_id != null and modify_user_id !='' "> and modify_user_id = #{modify_user_id} </if>
			<if test="modify_time != null "> and modify_time = #{modify_time}  </if>
			<if test="sts != null and sts !='' "> and sts = #{sts} </if>
			<if test="org_id != null and org_id !='' "> and org_id = #{org_id} </if>
			and sts='Y'
		</trim>
		<if test=" sort ==''.toString() "> order by sorts asc</if>
		<if test=" sort !='' and sort!=null and order !='' and order!=null "> order by ${sort} ${order}</if>
	</select>

	<!-- 分页查询列表 采用like格式 -->
	<select id="entity_list_like" resultMap="get-PersonnelControlEntity-result" parameterType="com.hzya.frame.sys.personnelControl.entity.PersonnelControlEntity">
		select
		<include refid="PersonnelControlEntity_Base_Column_List" />
		from sys_personnel_control
		<trim prefix="where" prefixOverrides="and">
			<if test="id != null and id !='' "> id like concat('%',#{id},'%') </if>
			<if test="left_app_id != null and left_app_id !='' "> and left_app_id like concat('%',#{left_app_id},'%') </if>
			<if test="left_app_code != null and left_app_code !='' "> and left_app_code like concat('%',#{left_app_code},'%') </if>
			<if test="left_app_name != null and left_app_name !='' "> and left_app_name like concat('%',#{left_app_name},'%') </if>
			<if test="left_api_id != null and left_api_id !='' "> and left_api_id like concat('%',#{left_api_id},'%') </if>
			<if test="left_id != null and left_id !='' "> and left_id like concat('%',#{left_id},'%') </if>
			<if test="left_code != null and left_code !='' "> and left_code like concat('%',#{left_code},'%') </if>
			<if test="left_name != null and left_name !='' "> and left_name like concat('%',#{left_name},'%') </if>
			<if test="left_tel != null and left_tel !='' "> and left_tel like concat('%',#{left_tel},'%') </if>
			<if test="left_ic != null and left_ic !='' "> and left_ic like concat('%',#{left_ic},'%') </if>
			<if test="right_app_id != null and right_app_id !='' "> and right_app_id like concat('%',#{right_app_id},'%') </if>
			<if test="right_app_code != null and right_app_code !='' "> and right_app_code like concat('%',#{right_app_code},'%') </if>
			<if test="right_app_name != null and right_app_name !='' "> and right_app_name like concat('%',#{right_app_name},'%') </if>
			<if test="right_api_id != null and right_api_id !='' "> and right_api_id like concat('%',#{right_api_id},'%') </if>
			<if test="right_id != null and right_id !='' "> and right_id like concat('%',#{right_id},'%') </if>
			<if test="right_code != null and right_code !='' "> and right_code like concat('%',#{right_code},'%') </if>
			<if test="right_name != null and right_name !='' "> and right_name like concat('%',#{right_name},'%') </if>
			<if test="right_tel != null and right_tel !='' "> and right_tel like concat('%',#{right_tel},'%') </if>
			<if test="right_ic != null and right_ic !='' "> and right_ic like concat('%',#{right_ic},'%') </if>
			<if test="sorts != null "> and sorts = #{sorts}</if>
			<if test="create_user_id != null and create_user_id !='' "> and create_user_id like concat('%',#{create_user_id},'%') </if>
			<if test="create_time != null and create_time !='' "> and create_time like concat('%',#{create_time},'%') </if>
			<if test="modify_user_id != null and modify_user_id !='' "> and modify_user_id like concat('%',#{modify_user_id},'%') </if>
			<if test="modify_time != null and modify_time !='' "> and modify_time like concat('%',#{modify_time},'%') </if>
			<if test="sts != null and sts !='' "> and sts like concat('%',#{sts},'%') </if>
			<if test="org_id != null and org_id !='' "> and org_id like concat('%',#{org_id},'%') </if>
			and sts='Y'
		</trim>
		<if test=" sort ==''.toString() "> order by sorts asc</if>
		<if test=" sort !='' and sort!=null and order !='' and order!=null ">order by  ${sort} ${order}</if>
	</select>

	<!-- 查询列表 字段采用or格式 -->
	<select id="entity_list_or" resultMap="get-PersonnelControlEntity-result" parameterType="com.hzya.frame.sys.personnelControl.entity.PersonnelControlEntity">
		select
		<include refid="PersonnelControlEntity_Base_Column_List" />
		from sys_personnel_control
		<trim prefix="where" prefixOverrides="or">
			<if test="id != null and id !='' ">id = #{id} </if>
			<if test="left_app_id != null and left_app_id !='' "> or left_app_id = #{left_app_id} </if>
			<if test="left_app_code != null and left_app_code !='' "> or left_app_code = #{left_app_code} </if>
			<if test="left_app_name != null and left_app_name !='' "> or left_app_name = #{left_app_name} </if>
			<if test="left_api_id != null and left_api_id !='' "> or left_api_id = #{left_api_id} </if>
			<if test="left_id != null and left_id !='' "> or left_id = #{left_id} </if>
			<if test="left_code != null and left_code !='' "> or left_code = #{left_code} </if>
			<if test="left_name != null and left_name !='' "> or left_name = #{left_name} </if>
			<if test="left_tel != null and left_tel !='' "> or left_tel = #{left_tel} </if>
			<if test="left_ic != null and left_ic !='' "> or left_ic = #{left_ic} </if>
			<if test="right_app_id != null and right_app_id !='' "> or right_app_id = #{right_app_id} </if>
			<if test="right_app_code != null and right_app_code !='' "> or right_app_code = #{right_app_code} </if>
			<if test="right_app_name != null and right_app_name !='' "> or right_app_name = #{right_app_name} </if>
			<if test="right_api_id != null and right_api_id !='' "> or right_api_id = #{right_api_id} </if>
			<if test="right_id != null and right_id !='' "> or right_id = #{right_id} </if>
			<if test="right_code != null and right_code !='' "> or right_code = #{right_code} </if>
			<if test="right_name != null and right_name !='' "> or right_name = #{right_name} </if>
			<if test="right_tel != null and right_tel !='' "> or right_tel = #{right_tel} </if>
			<if test="right_ic != null and right_ic !='' "> or right_ic = #{right_ic} </if>
			<if test="sorts != null "> or sorts = #{sorts}</if>
			<if test="create_user_id != null and create_user_id !='' "> or create_user_id = #{create_user_id} </if>
			<if test="create_time != null and create_time !='' "> or create_time = #{create_time} </if>
			<if test="modify_user_id != null and modify_user_id !='' "> or modify_user_id = #{modify_user_id} </if>
			<if test="modify_time != null and modify_time !='' "> or modify_time = #{modify_time} </if>
			<if test="sts != null and sts !='' "> or sts = #{sts} </if>
			<if test="org_id != null and org_id !='' "> or org_id = #{org_id} </if>
			and sts='Y'
		</trim>
		<if test=" sort ==''.toString() "> order by sorts asc</if>
		<if test=" sort !='' and sort!=null and order !='' and order!=null ">order by  ${sort} ${order}</if>
	</select>
	<!-- 新增 -->
	<insert id="entity_insert" parameterType="com.hzya.frame.sys.personnelControl.entity.PersonnelControlEntity">
		insert into sys_personnel_control(
		<trim suffix="" suffixOverrides=",">
			<if test="id != null and id !='' "> id, </if>
			<if test="left_app_id != null and left_app_id !='' "> left_app_id, </if>
			<if test="left_app_code != null and left_app_code !='' "> left_app_code, </if>
			<if test="left_app_name != null and left_app_name !='' "> left_app_name, </if>
			<if test="left_api_id != null and left_api_id !='' "> left_api_id, </if>
			<if test="left_id != null and left_id !='' "> left_id, </if>
			<if test="left_code != null and left_code !='' "> left_code, </if>
			<if test="left_name != null and left_name !='' "> left_name, </if>
			<if test="left_tel != null and left_tel !='' "> left_tel, </if>
			<if test="left_ic != null and left_ic !='' "> left_ic, </if>
			<if test="right_app_id != null and right_app_id !='' "> right_app_id, </if>
			<if test="right_app_code != null and right_app_code !='' "> right_app_code, </if>
			<if test="right_app_name != null and right_app_name !='' "> right_app_name, </if>
			<if test="right_api_id != null and right_api_id !='' "> right_api_id, </if>
			<if test="right_id != null and right_id !='' "> right_id, </if>
			<if test="right_code != null and right_code !='' "> right_code, </if>
			<if test="right_name != null and right_name !='' "> right_name, </if>
			<if test="right_tel != null and right_tel !='' "> right_tel, </if>
			<if test="right_ic != null and right_ic !='' "> right_ic, </if>
			<if test="sorts != null ">sorts,</if>
			<if test="create_user_id != null and create_user_id !='' "> create_user_id, </if>
			<if test="modify_user_id != null and modify_user_id !='' "> modify_user_id, </if>
			<if test="org_id != null and org_id !='' "> org_id, </if>
			create_time,
			modify_time,
			sts
		</trim>
		)values
		(
		<trim suffix="" suffixOverrides=",">
			<if test="id != null and id !='' "> #{id}, </if>
			<if test="left_app_id != null and left_app_id !='' "> #{left_app_id}, </if>
			<if test="left_app_code != null and left_app_code !='' "> #{left_app_code}, </if>
			<if test="left_app_name != null and left_app_name !='' "> #{left_app_name}, </if>
			<if test="left_api_id != null and left_api_id !='' "> #{left_api_id}, </if>
			<if test="left_id != null and left_id !='' "> #{left_id}, </if>
			<if test="left_code != null and left_code !='' "> #{left_code}, </if>
			<if test="left_name != null and left_name !='' "> #{left_name}, </if>
			<if test="left_tel != null and left_tel !='' "> #{left_tel}, </if>
			<if test="left_ic != null and left_ic !='' "> #{left_ic}, </if>
			<if test="right_app_id != null and right_app_id !='' "> #{right_app_id}, </if>
			<if test="right_app_code != null and right_app_code !='' "> #{right_app_code}, </if>
			<if test="right_app_name != null and right_app_name !='' "> #{right_app_name}, </if>
			<if test="right_api_id != null and right_api_id !='' "> #{right_api_id}, </if>
			<if test="right_id != null and right_id !='' "> #{right_id}, </if>
			<if test="right_code != null and right_code !='' "> #{right_code}, </if>
			<if test="right_name != null and right_name !='' "> #{right_name}, </if>
			<if test="right_tel != null and right_tel !='' "> #{right_tel}, </if>
			<if test="right_ic != null and right_ic !='' "> #{right_ic}, </if>
			<if test="sorts != null ">#{sorts},</if>
			<if test="create_user_id != null and create_user_id !='' "> #{create_user_id}, </if>
			<if test="modify_user_id != null and modify_user_id !='' "> #{modify_user_id}, </if>
			<if test="org_id != null and org_id !='' "> #{org_id}, </if>
			<if test="create_time != null "> #{create_time} ,</if>
			<if test="modify_time != null "> #{modify_time},</if>
			'Y'
		</trim>
		)
	</insert>

	<!-- 修改 -->
	<update id="entity_update" parameterType="com.hzya.frame.sys.personnelControl.entity.PersonnelControlEntity">
		update sys_personnel_control set
		<trim suffix="" suffixOverrides=",">
			<if test="id != null and id !='' "> id = #{id},</if>
			<if test="left_app_id != null and left_app_id !='' "> left_app_id = #{left_app_id},</if>
			<if test="left_app_code != null and left_app_code !='' "> left_app_code = #{left_app_code},</if>
			<if test="left_app_name != null and left_app_name !='' "> left_app_name = #{left_app_name},</if>
			<if test="left_api_id != null and left_api_id !='' "> left_api_id = #{left_api_id},</if>
			<if test="left_id != null and left_id !='' "> left_id = #{left_id},</if>
			<if test="left_code != null and left_code !='' "> left_code = #{left_code},</if>
			<if test="left_name != null and left_name !='' "> left_name = #{left_name},</if>
			<if test="left_tel != null and left_tel !='' "> left_tel = #{left_tel},</if>
			<if test="left_ic != null and left_ic !='' "> left_ic = #{left_ic},</if>
			<if test="right_app_id != null and right_app_id !='' "> right_app_id = #{right_app_id},</if>
			<if test="right_app_code != null and right_app_code !='' "> right_app_code = #{right_app_code},</if>
			<if test="right_app_name != null and right_app_name !='' "> right_app_name = #{right_app_name},</if>
			<if test="right_api_id != null and right_api_id !='' "> right_api_id = #{right_api_id},</if>
			<if test="right_id != null and right_id !='' "> right_id = #{right_id},</if>
			<if test="right_code != null and right_code !='' "> right_code = #{right_code},</if>
			<if test="right_name != null and right_name !='' "> right_name = #{right_name},</if>
			<if test="right_tel != null and right_tel !='' "> right_tel = #{right_tel},</if>
			<if test="right_ic != null and right_ic !='' "> right_ic = #{right_ic},</if>
			<if test="sorts != null ">sorts = #{sorts},</if>
			<if test="create_user_id != null and create_user_id !='' "> create_user_id = #{create_user_id},</if>
			<if test="modify_user_id != null and modify_user_id !='' "> modify_user_id = #{modify_user_id},</if>
			<if test="org_id != null and org_id !='' "> org_id = #{org_id},</if>
			<if test="modify_time != null "> modify_time =#{modify_time}  </if>
			<if test="modify_time  == null "> modify_time = now()</if>
		</trim>
		where id = #{id}
	</update>

	<!-- 逻辑删除 -->
	<update id="entity_logicDelete" parameterType="com.hzya.frame.sys.personnelControl.entity.PersonnelControlEntity">
		update sys_personnel_control set
		sts='N',modify_time = now(),modify_user_id = #{modify_user_id} where
		id = #{id}
	</update>

	<!-- 逻辑删除多条件 -->
	<update id="entity_logicDelete_Multi_Condition" parameterType="com.hzya.frame.sys.personnelControl.entity.PersonnelControlEntity">
		update sys_personnel_control set
		sts='N',modify_time = now(),modify_user_id = #{modify_user_id} 
		<trim prefix="where" prefixOverrides="and">
			<if test="id != null and id !='' ">id = #{id} </if>
			<if test="left_app_id != null and left_app_id !='' "> and left_app_id = #{left_app_id}</if>
			<if test="left_app_code != null and left_app_code !='' "> and left_app_code = #{left_app_code}</if>
			<if test="left_app_name != null and left_app_name !='' "> and left_app_name = #{left_app_name}</if>
			<if test="left_api_id != null and left_api_id !='' "> and left_api_id = #{left_api_id}</if>
			<if test="left_id != null and left_id !='' "> and left_id = #{left_id}</if>
			<if test="left_code != null and left_code !='' "> and left_code = #{left_code}</if>
			<if test="left_name != null and left_name !='' "> and left_name = #{left_name}</if>
			<if test="left_tel != null and left_tel !='' "> and left_tel = #{left_tel}</if>
			<if test="left_ic != null and left_ic !='' "> and left_ic = #{left_ic}</if>
			<if test="right_app_id != null and right_app_id !='' "> and right_app_id = #{right_app_id}</if>
			<if test="right_app_code != null and right_app_code !='' "> and right_app_code = #{right_app_code}</if>
			<if test="right_app_name != null and right_app_name !='' "> and right_app_name = #{right_app_name}</if>
			<if test="right_api_id != null and right_api_id !='' "> and right_api_id = #{right_api_id}</if>
			<if test="right_id != null and right_id !='' "> and right_id = #{right_id}</if>
			<if test="right_code != null and right_code !='' "> and right_code = #{right_code}</if>
			<if test="right_name != null and right_name !='' "> and right_name = #{right_name}</if>
			<if test="right_tel != null and right_tel !='' "> and right_tel = #{right_tel}</if>
			<if test="right_ic != null and right_ic !='' "> and right_ic = #{right_ic}</if>
			<if test="sorts != null "> and sorts = #{sorts}</if>
			<if test="create_user_id != null and create_user_id !='' "> and create_user_id = #{create_user_id}</if>
			<if test="create_time != null and create_time !='' "> and create_time = #{create_time}</if>
			<if test="modify_user_id != null and modify_user_id !='' "> and modify_user_id = #{modify_user_id}</if>
			<if test="modify_time != null and modify_time !='' "> and modify_time = #{modify_time}</if>
			<if test="sts != null and sts !='' "> and sts = #{sts}</if>
			<if test="org_id != null and org_id !='' "> and org_id = #{org_id}</if>
		</trim>
	</update>

	<!-- 物理删除 -->
	<delete id="entity_delete" parameterType="com.hzya.frame.sys.personnelControl.entity.PersonnelControlEntity">
		delete from sys_personnel_control where id =#{id}
	</delete>
</mapper>
